## openvpn 2.6.0~git20220811

=== debian/changelog ===
openvpn (2.6.0~git20220811-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * include runit services

 -- anticapitalista <antix@operamail.com>  Sun, 14 Aug 2022 13:10:18 +0300

openvpn (2.6.0~git20220811-1) unstable; urgency=medium

  * New upstream version 2.6.0~git20220811
    * Retain CAP_NET_ADMIN when dropping privileges (Closes: #976070)
  * Add build-dependency on libcap-ng-dev
  * Explicitly disable unit tests (Closes: #1016057)
  * Drop obsolete entries from d/copyright

 -- Bernhard Schmidt <berni@debian.org>  Thu, 11 Aug 2022 16:05:36 +0200

openvpn (2.6.0~git20220808-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * d/t/server-setup-with-ca:
    - cherry-pick change in easy-rsa autopkgtests to remove conflicting
      "vars" file.

  [ Bernhard Schmidt ]
  * New upstream version 2.6.0~git20220808
    - switch to master branch now that DCO support has been merged
  * Drop OpenSSL 3.0 digest name patch applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Tue, 09 Aug 2022 11:31:12 +0200

openvpn (2.6.0~git20220518+dco-3) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * d/t/server-setup-with-static-key: set cipher to be DES-EDE3-CBC
  * d/t/server-setup-with-static-key: use 'secret' to generate key
  * d/t/server-setup-with-*: use 'set -x' in the test scripts
  * d/t/control: add allow-stderr restriction

  [ Bernhard Schmidt ]
  * Import Ubuntu patch cherry-picked from upstream to translate OpenSSL 3.0
    digest names into OpenSSL 1.1 digest names (Closes: #1012129)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 24 Jul 2022 17:13:47 +0200

## openvpn 2.6.0~git20220818

=== debian/changelog ===
openvpn (2.6.0~git20220818-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Aug 2022 09:44:45 +0200

openvpn (2.6.0~git20220818-1) unstable; urgency=medium

  * New upstream version 2.6.0~git20220818
  * Only depend on libcap-ng-dev on Linux
  * Drop d/p/disable-dco-without-necessary-capabilities applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Thu, 18 Aug 2022 10:48:47 +0200

openvpn (2.6.0~git20220811-2) unstable; urgency=medium

  * Cherry-Pick proposed upstream fix to disable DCO if unable to retain
    capabilities, fixes network-manager-openvpn together with DCO
    (Closes: #1017379)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 17 Aug 2022 15:30:31 +0200

openvpn (2.6.0~git20220518+dco-3ubuntu2) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)
    - d/t/server-setup-with-ca:
      - cherry-pick change in easy-rsa autopkgtests to remove conflicting
        "vars" file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Jul 2022 08:58:35 +0200

openvpn (2.6.0~git20220518+dco-2ubuntu3) kinetic; urgency=medium

  * d/t/control: add allow-stderr restriction. With 'set -x' in place some
    messages are printed out in stderr.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 14 Jul 2022 11:47:23 -0300

openvpn (2.6.0~git20220518+dco-2ubuntu2) kinetic; urgency=medium

  * d/t/server-setup-with-static-key: set cipher to be DES-EDE3-CBC. The
    default BF-CBC is deprecated, also CAST and RC2. For more information
    check the upstream documentation.
  * d/t/server-setup-with-static-key: use 'secret' instead of '--secret' when
    generating a key to fix a deprecation warning.
  * d/t/server-setup-with-*: use 'set -x' in the test scripts. This will
    facilitate future debugging.
  * d/p/openssl-3-support.patch: Translate OpenSSL 3.0 digest names to OpenSSL
    1.1 digest names (LP: #1975574).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 11 Jul 2022 17:56:18 -0300

openvpn (2.6.0~git20220518+dco-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)
  * Drop changes fixed in new upstream release:
    - d/p/openvpn-fips-2.4.patch: Allow MD5 for PRF in FIPS mode openssl.
    - d/p/OpenSSL3.patch: work around the deprecated algorithm mismatch between
      the OpenSSL3 branch and the OpenVPN 2.5 branch (LP #1945980)
    - debian/patches/CVE-2022-0547.patch: disallow multiple deferred
      authentication plug-ins in doc/man-sections/plugin-options.rst,
      src/openvpn/plugin.c.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 11:51:28 +0200

=== debian/control ===
Source: openvpn
Section: net
Priority: optional
Maintainer: Bernhard Schmidt <berni@debian.org>
Uploaders: Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1),
 libcap-ng-dev [linux-any],
 liblz4-dev,
 liblzo2-dev,
 libnl-genl-3-dev [linux-any],
 libp11-kit-dev,
 libpam0g-dev,
 libpkcs11-helper1-dev,
 libssl-dev,
 libsystemd-dev [linux-any],
 net-tools [!linux-any],
 pkg-config,
 python3-docutils,
 systemd [linux-any]
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://openvpn.net/
Vcs-Git: https://salsa.debian.org/debian/openvpn.git
Vcs-Browser: https://salsa.debian.org/debian/openvpn

Package: openvpn
Architecture: any
Depends:
 debconf | debconf-2.0,
 ${shlibs:Depends},
 ${misc:Depends},
 net-tools [!linux-any],
 lsb-base (>= 3.0-6)
Suggests:
 openssl,
 resolvconf,
 openvpn-dco-dkms,
 openvpn-systemd-resolved,
 easy-rsa
Description: virtual private network daemon
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 OpenVPN uses all of the encryption, authentication, and certification
 features provided by the OpenSSL library (any cipher, key size, or
 HMAC digest).
 .
 OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
 also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
 over NAT or connection-oriented stateful firewalls (such as Linux's iptables).

## openvpn 2.6.0~git20221116

=== debian/changelog ===
openvpn (2.6.0~git20221116-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Nov 2022 14:50:31 +0100

openvpn (2.6.0~git20221116-1) unstable; urgency=medium

  * New upstream version 2.6.0~git20221116
    * Various improvements regarding MTU calculation

 -- Bernhard Schmidt <berni@debian.org>  Tue, 22 Nov 2022 11:50:13 +0100

## openvpn 2.6.0

=== sample/sample-plugins/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# sample/sample-plugins/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#  OpenVPN -- An application to securely tunnel IP networks
#             over a single UDP port, with support for SSL/TLS-based
#             session authentication and key exchange,
#             packet encryption, packet authentication, and
#             packet compression.
#
#  Copyright (C) 2002-2023 OpenVPN Inc <sales@openvpn.net>
#

#  SPDX-License-Identifier: GPL-2.0-only
#
#  Copyright (C) 2020-2023 OpenVPN Inc <sales@openvpn.net>
#

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/openvpn
pkgincludedir = $(includedir)/openvpn
pkglibdir = $(libdir)/openvpn
pkglibexecdir = $(libexecdir)/openvpn
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = sample/sample-plugins
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_socklen_t.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/compat.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/openvpn-plugin.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.plugins \
	README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoconf
AUTOHEADER = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoheader
AUTOMAKE = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -Wno-stringop-truncation -g -O2 -std=c99 
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DL_LIBS = -ldl
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_UNITTESTS = 
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
GIT = git
GREP = /usr/bin/grep
IFCONFIG = /usr/sbin/ifconfig
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IPROUTE = /usr/sbin/ip
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBCAPNG_CFLAGS = 
LIBCAPNG_LIBS = -lcap-ng
LIBNL_GENL_CFLAGS = 
LIBNL_GENL_LIBS = 
LIBOBJS = 
LIBPAM_CFLAGS = 
LIBPAM_LIBS = -lpam
LIBS =  -lcap-ng
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LZ4_CFLAGS = 
LZ4_LIBS = -llz4
LZO_CFLAGS = 
LZO_LIBS = -llzo2
MAKEINFO = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' makeinfo
MANIFEST_TOOL = :
MBEDTLS_CFLAGS = 
MBEDTLS_LIBS = 
MKDIR_P = /usr/bin/mkdir -p
NETSTAT = netstat
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_CFLAGS = 
OPENSSL_LIBS = -lssl -lcrypto
OPENVPN_VERSION_MAJOR = 2
OPENVPN_VERSION_MINOR = 6
OPENVPN_VERSION_PATCH = .0
OPTIONAL_CRYPTO_CFLAGS =  
OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
OPTIONAL_DL_LIBS = -ldl
OPTIONAL_INOTIFY_CFLAGS = 
OPTIONAL_INOTIFY_LIBS = 
OPTIONAL_LZ4_CFLAGS = 
OPTIONAL_LZ4_LIBS = -llz4
OPTIONAL_LZO_CFLAGS = 
OPTIONAL_LZO_LIBS = -llzo2
OPTIONAL_PKCS11_HELPER_CFLAGS = 
OPTIONAL_PKCS11_HELPER_LIBS = 
OPTIONAL_SELINUX_LIBS = 
OPTIONAL_SYSTEMD_LIBS = 
OTOOL = 
OTOOL64 = 
P11KIT_CFLAGS = 
P11KIT_LIBS = 
PACKAGE = openvpn
PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
PACKAGE_NAME = OpenVPN
PACKAGE_STRING = OpenVPN 2.6.0
PACKAGE_TARNAME = openvpn
PACKAGE_URL = 
PACKAGE_VERSION = 2.6.0
PATH_SEPARATOR = :
PKCS11_HELPER_CFLAGS = 
PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLUGINDIR = 
PLUGIN_AUTH_PAM_CFLAGS = 
PLUGIN_AUTH_PAM_LIBS = -lpam
RANLIB = ranlib
RC = 
ROUTE = /usr/sbin/route
RST2HTML = rst2html
RST2MAN = rst2man
SED = /usr/bin/sed
SELINUX_LIBS = -lselinux
SET_MAKE = 
SHELL = /bin/bash
SOCKETS_LIBS =  -lnsl -lresolv
STRIP = strip
SYSTEMD_ASK_PASSWORD = /usr/bin/systemd-ask-password
SYSTEMD_UNIT_DIR = 
TAP_CFLAGS = 
TAP_WIN_COMPONENT_ID = tap0901
TAP_WIN_MIN_MAJOR = 9
TAP_WIN_MIN_MINOR = 9
TEST_CFLAGS =     -I$(top_srcdir)/include 
TEST_LDFLAGS =  -lssl -lcrypto  -llzo2 -lcmocka
TMPFILES_DIR = 
VERSION = 2.6.0
WOLFSSL_CFLAGS = 
WOLFSSL_INCLUDEDIR = 
WOLFSSL_LIBS = 
abs_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
abs_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
abs_top_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
abs_top_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libsystemd_CFLAGS = 
libsystemd_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
plugindir = ${libdir}/openvpn/plugins
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sampledir = $(docdir)/sample
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
systemdunitdir = 
target_alias = 
tmpfilesdir = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
MAINTAINERCLEANFILES = \
	$(srcdir)/Makefile.in

AM_CPPFLAGS = -I$(top_srcdir) -I$(top_builddir) \
	-I$(top_srcdir)/include -I$(top_builddir)/include


#
# Plug-ins to build - listed entries should not carry any extensions
#
PLUGINS = \
	defer/multi-auth \
	keying-material-exporter-demo/keyingmaterialexporter \
	log/log log/log_v3 \
	simple/base64 \
	simple/simple \
	client-connect/sample-client-connect

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.plugins $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign sample/sample-plugins/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign sample/sample-plugins/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(srcdir)/Makefile.plugins $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \

=== debian/changelog ===
openvpn (2.6.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 28 Jan 2023 18:23:30 +0200

openvpn (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Drop dco netlink buffer overflow patch applied upstream
  * Drop obsolete lsb-base dependency

 -- Bernhard Schmidt <berni@debian.org>  Wed, 25 Jan 2023 22:27:04 +0100

openvpn (2.6.0~rc2-1) unstable; urgency=medium

  * New upstream version 2.6.0~rc2
  * Add upstream pending patch to work around dco netlink buffer overflow

 -- Bernhard Schmidt <berni@debian.org>  Fri, 13 Jan 2023 19:02:01 +0100

openvpn (2.6.0~rc1-1) unstable; urgency=medium

  * New upstream version 2.6.0~rc1 (Closes: #1014376)
  * Drop DCO workaround applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Dec 2022 22:51:31 +0100

openvpn (2.6.0~git20221222-1) unstable; urgency=medium

  * New upstream version 2.6.0~git20221222
  * Import pending upstream fix for race conditions in DCO servers
  * d/openvpn@.service: Replace LimitNPROC=100 with TasksMax=10
    (see Bug#861923 for discussion)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 23 Dec 2022 22:43:39 +0100

openvpn (2.6.0~git20221215+beta2-1) unstable; urgency=medium

  * New upstream version 2.6.0~git20221215+beta2

 -- Bernhard Schmidt <berni@debian.org>  Fri, 16 Dec 2022 11:54:27 +0100

openvpn (2.6.0~git20221201-1) unstable; urgency=medium

  * New upstream version 2.6.0~git20221201, also known as 2.6_beta1
  * Update d/NEWS to list known backwards compatibility issues
  * Fix national encoding on d/po/{es,sv}.po
  * Drop obsolete patches

 -- Bernhard Schmidt <berni@debian.org>  Sun, 04 Dec 2022 21:32:37 +0100

## openvpn 2.6.1

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -152,7 +152,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -Wno-stringop-truncation -g -O2 -std=c99 
+CFLAGS = -Wall -Wno-stringop-truncation -g -O2 -std=c99 -I/usr/include/libnl3 
 CMOCKA_CFLAGS = 
 CMOCKA_LIBS = -lcmocka
 CPP = gcc -E
@@ -187,12 +187,12 @@
 LDFLAGS = 
 LIBCAPNG_CFLAGS = 
 LIBCAPNG_LIBS = -lcap-ng
-LIBNL_GENL_CFLAGS = 
-LIBNL_GENL_LIBS = 
+LIBNL_GENL_CFLAGS = -I/usr/include/libnl3
+LIBNL_GENL_LIBS = -lnl-genl-3 -lnl-3
 LIBOBJS = 
 LIBPAM_CFLAGS = 
 LIBPAM_LIBS = -lpam
-LIBS =  -lcap-ng
+LIBS =  -lnl-genl-3 -lnl-3 -lcap-ng
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LN_S = ln -s
@@ -216,7 +216,7 @@
 OPENSSL_LIBS = -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 6
-OPENVPN_VERSION_PATCH = .0
+OPENVPN_VERSION_PATCH = .1
 OPTIONAL_CRYPTO_CFLAGS =  
 OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
@@ -237,10 +237,10 @@
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.6.0
+PACKAGE_STRING = OpenVPN 2.6.1
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.6.0
+PACKAGE_VERSION = 2.6.1
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
 PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
@@ -270,7 +270,7 @@
 TEST_CFLAGS =     -I$(top_srcdir)/include 
 TEST_LDFLAGS =  -lssl -lcrypto  -llzo2 -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.6.0
+VERSION = 2.6.1
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS = 
@@ -405,5 +405,3 @@
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	list='$(DISTFILES)'; \
 	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \

=== debian/changelog ===
openvpn (2.6.1-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Mar 2023 07:50:09 +0200

openvpn (2.6.1-1) unstable; urgency=medium

  * Upload to unstable targetting bookworm
  * Cherry-Pick upstream commits from 2.6.2
    - fix rare ASSERT in tls-crypt
    - fix memory leaks in HMAC initial packet generation
    - set netlink socket to be non-blocking

 -- Bernhard Schmidt <berni@debian.org>  Sun, 26 Mar 2023 11:14:26 +0200

openvpn (2.6.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.1
    - target experimental due to the freeze

 -- Bernhard Schmidt <berni@debian.org>  Fri, 10 Mar 2023 09:02:22 +0100

openvpn (2.6.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 22:11:25 +0100

openvpn (2.6.0~rc2-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jan 2023 09:28:16 +0100

openvpn (2.6.0~rc1-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 14:05:47 +0100

openvpn (2.6.0~git20221222-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Dec 2022 15:56:10 +0100

openvpn (2.6.0~git20221201-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Dec 2022 15:47:55 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  net-tools [!linux-any],
- lsb-base (>= 3.0-6)
 Suggests:
  openssl,
  resolvconf,

## openvpn 2.6.3

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -216,7 +216,7 @@
 OPENSSL_LIBS = -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 6
-OPENVPN_VERSION_PATCH = .1
+OPENVPN_VERSION_PATCH = .3
 OPTIONAL_CRYPTO_CFLAGS =  
 OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
@@ -237,10 +237,10 @@
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.6.1
+PACKAGE_STRING = OpenVPN 2.6.3
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.6.1
+PACKAGE_VERSION = 2.6.3
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
 PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
@@ -270,7 +270,7 @@
 TEST_CFLAGS =     -I$(top_srcdir)/include 
 TEST_LDFLAGS =  -lssl -lcrypto  -llzo2 -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.6.1
+VERSION = 2.6.3
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS =

=== debian/changelog ===
openvpn (2.6.3-2devuan2) daedalus-security; urgency=medium

  * Merge Debian tag 2.6.3-1+deb12u2.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 17 Nov 2023 07:25:29 +0000

openvpn (2.6.3-2devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.3-2.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 22 May 2023 10:00:13 +0100

openvpn (2.6.3-2) unstable; urgency=medium

  * Cherry-pick two bugfix commits from upstream
    - Memory leak in dco_get_peer_stats_multi for Linux
    - dangling pointer passed to pkcs11-helper

 -- Bernhard Schmidt <berni@debian.org>  Sat, 20 May 2023 17:43:32 +0200

openvpn (2.6.3-1+deb12u2) bookworm-security; urgency=medium

  * Cherry-Pick upstream fixes for two CVEs
    - CVE-2023-46849: Use of --fragment option can lead to a division by zero
      error which can be fatal
    - CVE-2023-46850: Incorrect use of send buffer can cause memory to be sent
      to peer

 -- Bernhard Schmidt <berni@debian.org>  Sat, 11 Nov 2023 23:21:37 +0100

openvpn (2.6.3-1+deb12u1) bookworm; urgency=medium

  * Cherry-pick two bugfix commits from upstream
    - Memory leak in dco_get_peer_stats_multi for Linux
    - dangling pointer passed to pkcs11-helper
  * d/gbp.conf: set branch to bookworm

 -- Bernhard Schmidt <berni@debian.org>  Wed, 21 Jun 2023 21:41:33 +0200

openvpn (2.6.3-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 02 May 2023 06:39:23 +0100

openvpn (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.2
    - drop patches applied upstream
    - needs new openvpn-dco-dkms version. Not adding a versioned dependency
      to untangle testing migration, because it will just not use the
      "wrong" version and run unaccelerated.
  * New upstream version 2.6.3

 -- Bernhard Schmidt <berni@debian.org>  Thu, 13 Apr 2023 09:19:40 +0200

openvpn (2.6.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 26 Mar 2023 19:47:23 +0100

openvpn (2.6.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 26 Jan 2023 06:36:16 +0000

openvpn (2.6.0~rc2-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_rc2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 14 Jan 2023 09:08:25 +0000

openvpn (2.6.0~rc1-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_rc1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 29 Dec 2022 08:23:59 +0000

openvpn (2.6.0~git20221222-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20221222-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 24 Dec 2022 09:04:34 +0000

openvpn (2.6.0~git20221201-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20221201-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 05 Dec 2022 08:51:36 +0000

openvpn (2.6.0~git20221116-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20221116-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 23 Nov 2022 14:10:14 +0000

openvpn (2.6.0~git20220818-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20220818-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 19 Aug 2022 07:00:00 +0100

openvpn (2.6.0~git20220811-2devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20220811-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 18 Aug 2022 07:09:17 +0100

openvpn (2.6.0~git20220811-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20220811-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 13 Aug 2022 07:12:14 +0100

openvpn (2.6.0~git20220808-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20220808-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 10 Aug 2022 07:21:35 +0100

openvpn (2.6.0~git20220518+dco-3devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20220518+dco-3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 25 Jul 2022 08:39:13 +0100

openvpn (2.6.0~git20220518+dco-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.6.0_git20220518+dco-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 22 May 2022 12:32:33 +0100

openvpn (2.5.6-1devuan1) unstable; urgency=high

  * Merge tag debian/2.5.6-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Mar 2022 06:56:10 +0000

openvpn (2.5.5-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.5.5-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Feb 2022 17:54:33 +0000

openvpn (2.5.1-3+devuan1) unstable; urgency=medium

  * Merge Debian 2.5.1-3.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 23 May 2021 10:54:33 +0100

openvpn (2.5.1-1+devuan1) unstable; urgency=medium

  * Merge Debian 2.5.1-1,

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 10 Mar 2021 19:20:13 +0000

openvpn (2.5.0-1+devuan1) unstable; urgency=medium

  * Merge Debian 2.5.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 31 Oct 2020 17:31:19 +0000

openvpn (2.5~beta3-1+devuan1) unstable; urgency=medium

  * Merge Debian 2.5~beta3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 09 Sep 2020 17:10:36 +0100

openvpn (2.4.9-3+devuan1) unstable; urgency=medium

  * d/control: update Vcs-* following Gitea migration.
  * Merge debian/2.4.9-3.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 16 Aug 2020 11:21:51 +0100

openvpn (2.4.9-2+devuan1) unstable; urgency=medium

  * Merge Debian version 2.4.9-2.
  * Ensure $PATH is set in initscript.
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 29 Apr 2020 20:16:42 +0100

openvpn (2.4.7-1+devuan1) unstable; urgency=medium

  * Merge tag debian/2.4.7-1.
  * Change maintenance to Devuan Developers list.
  * Update Vcs-* fields.
  * Disable pristine-tar and add debian-branch, upstream-tag and
    debian-tag to d/gbp.conf.
  * Remove Suggests: openvpn-systemd-resolved.
  * Remove systemd.patch.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 17 Dec 2019 14:42:39 +0000

openvpn (2.3.10-1+devuan1) unstable; urgency=medium

  * Remove systemd.



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Bernhard Schmidt <berni@debian.org>
-Uploaders: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	Ben Walsh <b@wumpster.com>
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1),
@@ -14,16 +16,15 @@
  libpam0g-dev,
  libpkcs11-helper1-dev,
  libssl-dev,
- libsystemd-dev [linux-any],
  net-tools [!linux-any],
  pkg-config,
  python3-docutils,
- systemd [linux-any]
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://openvpn.net/
-Vcs-Git: https://salsa.debian.org/debian/openvpn.git
-Vcs-Browser: https://salsa.debian.org/debian/openvpn
+Vcs-Git: https://git.devuan.org/devuan/openvpn.git
+Vcs-Browser: https://git.devuan.org/devuan/openvpn
+Origin: Devuan
 
 Package: openvpn
 Architecture: any
@@ -36,8 +37,7 @@
  openssl,
  resolvconf,
  openvpn-dco-dkms,
- openvpn-systemd-resolved,
- easy-rsa
+Recommends: easy-rsa
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
# Avoid the /sbin/route wrapper which doesn't provide FreeBSD CLI as expected
ENV_VARS	:= IFCONFIG=/sbin/ifconfig ROUTE=/lib/freebsd/route
EXTRA_ARGS	:=
else
ENV_VARS	:= IFCONFIG=/sbin/ifconfig ROUTE=/sbin/route IPROUTE=/sbin/ip
EXTRA_ARGS	:= --enable-dco
endif

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	-test -f tests/t_client.sh.not || mv tests/t_client.sh tests/t_client.sh.not
	$(ENV_VARS) dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --includedir=\$${prefix}/include/openvpn \
		--disable-unit-tests \
		--enable-pkcs11 \
		--enable-x509-alt-username \
		$(EXTRA_ARGS)


override_dh_auto_build:
	dh_auto_build
	# The one shipped in the tarball gets rebuild (chaging /bin/sh in some cases)
	#sed -i -e '1s%.*%#!/bin/sh%' tests/t_client.sh
	# make plugins
	# $(MAKE) -C plugin/auth-pam/ $(shell dpkg-buildflags --export=configure)
	# $(MAKE) -C plugin/down-root/ $(shell dpkg-buildflags --export=configure)

# we may not want to run dh_auto_test
#override_dh_auto_test:

override_dh_auto_clean:
	# These two get deleted on "make clean", but come in the tarball
	# hack to keep them around after "make clean"
	-test -f distro/rpm/openvpn.spec.not || mv distro/rpm/openvpn.spec distro/rpm/openvpn.spec.not
	-test -f tests/t_client.sh.not || mv tests/t_client.sh tests/t_client.sh.not
	dh_auto_clean
	-test -f distro/rpm/openvpn.spec.not && mv distro/rpm/openvpn.spec.not distro/rpm/openvpn.spec
	-test -f tests/t_client.sh.not && mv tests/t_client.sh.not tests/t_client.sh
	# clean plugins
	# $(MAKE) -C plugin/auth-pam/ clean
	# $(MAKE) -C plugin/down-root/ clean

override_dh_clean:
	dh_clean -X win/openvpn.nsi.orig

override_dh_auto_install:
	dh_auto_install
	install -m 755 sample/sample-scripts/verify-cn $(CURDIR)/debian/openvpn/usr/share/openvpn
	install -m 755 debian/openvpn.if-up.d $(CURDIR)/debian/openvpn/etc/network/if-up.d/openvpn
	install -m 755 debian/openvpn.if-down.d $(CURDIR)/debian/openvpn/etc/network/if-down.d/openvpn
	# remove unwanted plugin files
	$(RM) $(CURDIR)/debian/openvpn/usr/lib/$(DEB_HOST_GNU_TYPE)/openvpn/plugins/*.la
	# resolvconf script
	install -m 755 debian/update-resolv-conf $(CURDIR)/debian/openvpn/etc/openvpn/update-resolv-conf
	# bash completion
	install -m 644 debian/openvpn.bash_completion $(CURDIR)/debian/openvpn/usr/share/bash-completion/completions/openvpn
	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/COPYING

override_dh_link:
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-auth-pam.so  usr/lib/openvpn/openvpn-plugin-auth-pam.so
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-down-root.so usr/lib/openvpn/openvpn-plugin-down-root.so
	dh_link

override_dh_installexamples:
	dh_installexamples
	## remove windoze stuff
	$(RM) -r $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/Windows
	$(RM) -r $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/sample
	# remove gitignore file from samples
	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/sample-keys/.gitignore

override_dh_installinit:
	dh_installinit --no-start -- defaults 16 80

override_dh_compress:
	dh_compress --exclude=.cnf --exclude=pkitool

## openvpn 2.6.5

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -152,7 +152,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -Wno-stringop-truncation -g -O2 -std=c99 -I/usr/include/libnl3 
+CFLAGS = -Wall -Wno-stringop-truncation -g -O2 -std=c99 
 CMOCKA_CFLAGS = 
 CMOCKA_LIBS = -lcmocka
 CPP = gcc -E
@@ -187,19 +187,19 @@
 LDFLAGS = 
 LIBCAPNG_CFLAGS = 
 LIBCAPNG_LIBS = -lcap-ng
-LIBNL_GENL_CFLAGS = -I/usr/include/libnl3
-LIBNL_GENL_LIBS = -lnl-genl-3 -lnl-3
+LIBNL_GENL_CFLAGS = 
+LIBNL_GENL_LIBS = 
 LIBOBJS = 
 LIBPAM_CFLAGS = 
 LIBPAM_LIBS = -lpam
-LIBS =  -lnl-genl-3 -lnl-3 -lcap-ng
+LIBS =  -lcap-ng
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
 LZ4_CFLAGS = 
-LZ4_LIBS = -llz4
+LZ4_LIBS = 
 LZO_CFLAGS = 
 LZO_LIBS = -llzo2
 MAKEINFO = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' makeinfo
@@ -216,16 +216,16 @@
 OPENSSL_LIBS = -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 6
-OPENVPN_VERSION_PATCH = .3
+OPENVPN_VERSION_PATCH = .5
 OPTIONAL_CRYPTO_CFLAGS =  
 OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
 OPTIONAL_INOTIFY_CFLAGS = 
 OPTIONAL_INOTIFY_LIBS = 
 OPTIONAL_LZ4_CFLAGS = 
-OPTIONAL_LZ4_LIBS = -llz4
+OPTIONAL_LZ4_LIBS = 
 OPTIONAL_LZO_CFLAGS = 
-OPTIONAL_LZO_LIBS = -llzo2
+OPTIONAL_LZO_LIBS = 
 OPTIONAL_PKCS11_HELPER_CFLAGS = 
 OPTIONAL_PKCS11_HELPER_LIBS = 
 OPTIONAL_SELINUX_LIBS = 
@@ -237,10 +237,10 @@
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.6.3
+PACKAGE_STRING = OpenVPN 2.6.5
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.6.3
+PACKAGE_VERSION = 2.6.5
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
 PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
@@ -249,7 +249,7 @@
 PKG_CONFIG_PATH = 
 PLUGINDIR = 
 PLUGIN_AUTH_PAM_CFLAGS = 
-PLUGIN_AUTH_PAM_LIBS = -lpam
+PLUGIN_AUTH_PAM_LIBS = 
 RANLIB = ranlib
 RC = 
 ROUTE = /usr/sbin/route
@@ -268,9 +268,9 @@
 TAP_WIN_MIN_MAJOR = 9
 TAP_WIN_MIN_MINOR = 9
 TEST_CFLAGS =     -I$(top_srcdir)/include 
-TEST_LDFLAGS =  -lssl -lcrypto  -llzo2 -lcmocka
+TEST_LDFLAGS =  -lssl -lcrypto   -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.6.3
+VERSION = 2.6.5
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS = 
@@ -405,3 +405,6 @@
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	list='$(DISTFILES)'; \
 	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \

=== debian/changelog ===
openvpn (2.6.5-0ubuntu1) mantic; urgency=medium

  * New Upstream release 2.6.5 (LP: #2018095)
  * d/p/fix-dangling-pointer-in-pkcs11.patch:
    Remove - fixed upstream in 2.6.4
  * d/p/fix-memleak-in-dco_get_peer_stats_multi.patch:
    Remove - fixed upstream in 2.6.5

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 11 Jul 2023 09:36:08 -0700

openvpn (2.6.3-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 May 2023 09:28:33 +0200

openvpn (2.6.3-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:48:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders:
-	Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	Ben Walsh <b@wumpster.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
+Uploaders: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1),
@@ -16,15 +15,16 @@
  libpam0g-dev,
  libpkcs11-helper1-dev,
  libssl-dev,
+ libsystemd-dev [linux-any],
  net-tools [!linux-any],
  pkg-config,
  python3-docutils,
+ systemd [linux-any]
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://openvpn.net/
-Vcs-Git: https://git.devuan.org/devuan/openvpn.git
-Vcs-Browser: https://git.devuan.org/devuan/openvpn
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/debian/openvpn.git
+Vcs-Browser: https://salsa.debian.org/debian/openvpn
 
 Package: openvpn
 Architecture: any
@@ -37,7 +37,8 @@
  openssl,
  resolvconf,
  openvpn-dco-dkms,
-Recommends: easy-rsa
+ openvpn-systemd-resolved,
+ easy-rsa
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make
